#
# ̺  `log_point`
#

CREATE TABLE log_point (
  id int(11) NOT NULL auto_increment,
  member_id varchar(50) NOT NULL default '',
  point1 int(11) NOT NULL default '0',
  point2 int(11) NOT NULL default '0',
  regdate int(11) NOT NULL default '0',
  regip varchar(20) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY regdate (regdate)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `member`
#

CREATE TABLE member (
  member_no int(11) NOT NULL auto_increment,
  member_regdate date default NULL,
  member_name varchar(40) default NULL,
  member_id varchar(20) default NULL,
  member_passwd varchar(20) default NULL,
  member_jumin varchar(14) default NULL,
  member_birthday date default NULL,
  member_email varchar(60) default NULL,
  member_homepage varchar(60) default NULL,
  member_home_address1 varchar(200) default NULL,
  member_home_address2 varchar(200) NOT NULL default '',
  member_home_post varchar(7) default NULL,
  member_home_tel varchar(17) default NULL,
  member_job varchar(40) default NULL,
  member_company_name varchar(60) default NULL,
  member_hobby varchar(40) default NULL,
  member_sp_hobby varchar(255) default NULL,
  member_introduce text,
  member_class varchar(4) NOT NULL default '0',
  member_last_connect int(11) NOT NULL default '0',
  member_log_count int(11) NOT NULL default '0',
  member_company_post varchar(7) NOT NULL default '',
  member_company_address varchar(250) NOT NULL default '',
  member_company_tel varchar(20) NOT NULL default '',
  member_hp varchar(14) NOT NULL default '',
  member_info_open char(1) NOT NULL default 'F',
  member_ip varchar(20) default NULL,
  total_sail int(11) NOT NULL default '0',
  total_point int(11) NOT NULL default '0',
  temp_field1 enum('T','F') NOT NULL default 'T',
  temp_field2 int(11) NOT NULL default '0',
  temp_field3 char(3) NOT NULL default '',
  temp_field4 varchar(200) NOT NULL default '',
  temp_field5 varchar(200) NOT NULL default '',
  PRIMARY KEY  (member_no),
  KEY total_point (total_point),
  KEY member_id (member_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_account`
#

CREATE TABLE shop_account (
  id int(11) NOT NULL auto_increment,
  account_name varchar(200) NOT NULL default '',
  account_num varchar(200) NOT NULL default '',
  account_owner varchar(200) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_basic`
#

CREATE TABLE shop_basic (
  shop_name varchar(100) NOT NULL default '',
  admin_name varchar(100) NOT NULL default '',
  shop_number varchar(15) NOT NULL default '',
  address varchar(200) NOT NULL default '',
  phone varchar(15) NOT NULL default '',
  admin_mail varchar(200) NOT NULL default '',
  use_delv int(2) NOT NULL default '0',
  delv int(11) NOT NULL default '0',
  max_delv int(11) NOT NULL default '0',
  use_member int(2) NOT NULL default '0',
  use_point int(2) NOT NULL default '0',
  point int(11) NOT NULL default '0',
  point_cash int(11) NOT NULL default '0',
  max_point int(11) NOT NULL default '0',
  use_prize int(2) NOT NULL default '0',
  use_sail int(2) NOT NULL default '0',
  card int(11) NOT NULL default '0',
  card_cash int(11) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_cart`
#

CREATE TABLE shop_cart (
  id int(11) NOT NULL auto_increment,
  sess_id varchar(50) NOT NULL default '0',
  sess_time int(11) NOT NULL default '0',
  userid varchar(50) NOT NULL default '',
  prize_id int(11) NOT NULL default '0',
  prize_num varchar(200) NOT NULL default '',
  prize_name varchar(200) NOT NULL default '0',
  list_img varchar(200) NOT NULL default '',
  prize_sail2 int(11) NOT NULL default '0',
  prize_point int(11) NOT NULL default '0',
  prize_amount int(11) NOT NULL default '0',
  option1 varchar(200) NOT NULL default '0',
  option_val1 varchar(200) NOT NULL default '0',
  option2 varchar(200) NOT NULL default '0',
  option_val2 varchar(200) NOT NULL default '0',
  option3 varchar(200) NOT NULL default '0',
  option_val3 varchar(200) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY id (id),
  KEY sess_id (sess_id),
  KEY userid (userid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_category`
#

CREATE TABLE shop_category (
  category_id int(11) NOT NULL auto_increment,
  category_name varchar(50) NOT NULL default '',
  category_code varchar(200) NOT NULL default '',
  category_pos int(11) NOT NULL default '0',
  category_depth int(11) NOT NULL default '0',
  category_thread int(11) NOT NULL default '0',
  category_regdate date NOT NULL default '0000-00-00',
  top_img_height int(11) NOT NULL default '0',
  top_img_width int(11) NOT NULL default '0',
  top_img_type varchar(5) NOT NULL default '',
  top_img_file varchar(200) NOT NULL default '',
  bottom_img_height int(11) NOT NULL default '0',
  bottom_img_width int(11) NOT NULL default '0',
  bottom_img_type varchar(5) NOT NULL default '',
  bottom_img_file varchar(200) NOT NULL default '',
  banner_file int(1) NOT NULL default '0',
  view enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (category_id),
  KEY id (category_id),
  KEY category_code (category_code)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_delv`
#

CREATE TABLE shop_delv (
  id int(11) NOT NULL auto_increment,
  delv_name varchar(200) NOT NULL default '',
  delv_url varchar(200) NOT NULL default '',
  delv_sail int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_logdata`
#

CREATE TABLE shop_logdata (
  id int(11) NOT NULL auto_increment,
  order_num varchar(200) NOT NULL default '',
  prize_id int(11) NOT NULL default '0',
  prize_num varchar(200) NOT NULL default '',
  prize_name varchar(200) NOT NULL default '',
  list_img varchar(200) NOT NULL default '',
  prize_sail2 int(11) NOT NULL default '0',
  prize_point int(11) NOT NULL default '0',
  prize_amount int(11) NOT NULL default '0',
  option1 varchar(200) NOT NULL default '',
  option_val1 varchar(200) NOT NULL default '',
  option2 varchar(200) NOT NULL default '',
  option_val2 varchar(200) NOT NULL default '',
  option3 varchar(200) NOT NULL default '',
  option_val3 varchar(200) NOT NULL default '',
  regdate date NOT NULL default '0000-00-00',
  delv_mode enum('N','A','C','Y','X') NOT NULL default 'N',
  PRIMARY KEY  (id),
  KEY id (id),
  KEY prize_num (prize_num),
  KEY prize_sail2 (prize_sail2),
  KEY prize_amount (prize_amount)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_notice`
#

CREATE TABLE shop_notice (
  id int(11) NOT NULL auto_increment,
  title_header varchar(200) NOT NULL default '',
  title varchar(200) NOT NULL default '',
  body text NOT NULL,
  regdate date NOT NULL default '0000-00-00',
  use_win enum('N','Y') NOT NULL default 'N',
  pos_x int(11) NOT NULL default '0',
  pos_y int(11) NOT NULL default '0',
  width int(11) NOT NULL default '0',
  height int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_orderdata`
#

CREATE TABLE shop_orderdata (
  id int(11) NOT NULL auto_increment,
  order_num varchar(200) NOT NULL default '',
  prize_id int(11) NOT NULL default '0',
  prize_num varchar(200) NOT NULL default '',
  prize_name varchar(200) NOT NULL default '',
  list_img varchar(200) NOT NULL default '',
  prize_sail2 int(11) NOT NULL default '0',
  prize_point int(11) NOT NULL default '0',
  prize_amount int(11) NOT NULL default '0',
  option1 varchar(200) NOT NULL default '',
  option_val1 varchar(200) NOT NULL default '',
  option2 varchar(200) NOT NULL default '',
  option_val2 varchar(200) NOT NULL default '',
  option3 varchar(200) NOT NULL default '',
  option_val3 varchar(200) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_orderlist`
#

CREATE TABLE shop_orderlist (
  id int(11) NOT NULL auto_increment,
  sess_id varchar(50) NOT NULL default '',
  sess_time int(11) NOT NULL default '0',
  order_num varchar(200) NOT NULL default '',
  order_passwd varchar(50) NOT NULL default '',
  order_name varchar(200) NOT NULL default '',
  order_id varchar(50) NOT NULL default '',
  order_phone varchar(15) NOT NULL default '',
  order_hphone varchar(15) default NULL,
  order_zipcode varchar(7) NOT NULL default '',
  order_address1 varchar(200) NOT NULL default '',
  order_address2 varchar(200) NOT NULL default '',
  order_email varchar(200) NOT NULL default '',
  recip_name varchar(200) NOT NULL default '',
  recip_phone varchar(15) NOT NULL default '',
  recip_hphone varchar(15) default NULL,
  recip_zipcode varchar(7) NOT NULL default '',
  recip_address1 varchar(200) NOT NULL default '',
  recip_address2 varchar(200) NOT NULL default '',
  recip_comment text,
  recip_comment2 text NOT NULL,
  recip_comment3 text NOT NULL,
  staff varchar(20) NOT NULL default '',
  admin_notice text NOT NULL,
  ip_name varchar(50) NOT NULL default '',
  ip_name2 varchar(50) NOT NULL default '',
  pay_mode varchar(200) NOT NULL default '',
  card int(11) NOT NULL default '0',
  delv int(11) NOT NULL default '0',
  delv_mode enum('N','A','C','Y','X') NOT NULL default 'N',
  delv_num varchar(200) NOT NULL default '',
  delv_date date NOT NULL default '0000-00-00',
  delv_ok_date varchar(5) NOT NULL default '',
  regdate date NOT NULL default '0000-00-00',
  prize_sail2 int(11) NOT NULL default '0',
  prize_point int(11) NOT NULL default '0',
  use_point enum('N','Y') NOT NULL default 'N',
  use_point2 smallint(3) NOT NULL default '0',
  use_point3 int(11) NOT NULL default '0',
  ip_date date NOT NULL default '0000-00-00',
  ipok_date int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY id (id),
  KEY order_num (order_num),
  KEY delv_mode (delv_mode)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_ordernum`
#

CREATE TABLE shop_ordernum (
  order_num int(11) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `shop_prize`
#

CREATE TABLE shop_prize (
  id int(11) NOT NULL auto_increment,
  pos int(11) NOT NULL default '0',
  category_code varchar(200) NOT NULL default '',
  prize_num varchar(50) NOT NULL default '',
  prize_sail1 int(11) NOT NULL default '0',
  prize_sail2 int(11) NOT NULL default '0',
  prize_point int(11) NOT NULL default '0',
  prize_amount int(11) NOT NULL default '0',
  list_img varchar(200) NOT NULL default '',
  view_img varchar(200) NOT NULL default '',
  prize_name varchar(200) NOT NULL default '',
  prize_maker varchar(200) NOT NULL default '',
  option1 varchar(200) NOT NULL default '',
  option2 varchar(200) NOT NULL default '',
  option3 varchar(200) NOT NULL default '',
  option_val1 varchar(250) NOT NULL default '',
  option_val2 varchar(250) NOT NULL default '',
  option_val3 varchar(250) NOT NULL default '',
  img_option text NOT NULL,
  body text NOT NULL,
  prize_view enum('Y','N') NOT NULL default 'Y',
  prize_recommand enum('N','Y') NOT NULL default 'N',
  prize_popular enum('N','Y') NOT NULL default 'N',
  prize_new enum('N','Y') NOT NULL default 'N',
  prize_mrecommand enum('N','Y') NOT NULL default 'N',
  prize_mpopular enum('N','Y') NOT NULL default 'N',
  prize_mnew enum('N','Y') NOT NULL default 'N',
  remote_ip varchar(20) NOT NULL default '',
  count int(11) NOT NULL default '0',
  regdate int(11) NOT NULL default '0',
  ext_field1 char(1) default NULL,
  ext_field2 char(3) default NULL,
  ext_field3 varchar(200) default NULL,
  PRIMARY KEY  (id),
  KEY id (id),
  KEY category_code (category_code),
  KEY prize_view (prize_view),
  KEY prize_recommand (prize_recommand),
  KEY prize_popular (prize_popular),
  KEY prize_num (prize_num),
  KEY prize_num_2 (prize_num)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `vote_category`
#

CREATE TABLE vote_category (
  id int(11) NOT NULL auto_increment,
  category_name varchar(50) NOT NULL default '',
  regdate int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `vote_data`
#

CREATE TABLE vote_data (
  id int(11) NOT NULL auto_increment,
  category_no int(11) NOT NULL default '0',
  vote varchar(100) NOT NULL default '',
  count int(11) NOT NULL default '0',
  lastupdate int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `zipcode`
#

CREATE TABLE zipcode (
  no int(11) NOT NULL default '0',
  zipcode varchar(7) NOT NULL default '',
  region1 varchar(100) NOT NULL default '',
  region2 varchar(100) NOT NULL default '',
  PRIMARY KEY  (no),
  KEY region1 (region1),
  KEY region2 (region2)
) TYPE=MyISAM;